
%define __kde4_alternate_placement 1
%define req_design_graphics design-graphics >= 3.1.4
%def_with kappfinder

%define rname kdebase
%define major 4
%define minor 2
%define bugfix 4
Name: kde4base
Version: %major.%minor.%bugfix
Release: alt0.M50.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment 4 - Core Files
Url: http://www.kde.org/
License: GPLv2

Requires: %name-dolphin        = %version-%release
%if_with kappfinder
Requires: %name-kappfinder     = %version-%release
%endif
Requires: %name-kdepasswd      = %version-%release
Requires: %name-kdialog        = %version-%release
Requires: %name-keditbookmarks = %version-%release
Requires: %name-kfind          = %version-%release
Requires: %name-kinfocenter    = %version-%release
Requires: %name-konqueror      = %version-%release
Requires: %name-konsole        = %version-%release
Requires: %name-kwrite         = %version-%release
Requires: %name-nsplugins      = %version-%release
Requires: %name-plasma-applets = %version-%release

Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebase-%version.tar
Patch1: kdebase-4.0.72-alt-usb-ids-path.patch
Patch2: kdebase-4.1.96-alt-konsole-allow-sgid.patch
Patch3: kdebase-4.0.3-alt-userpasswd.patch
Patch4: kdebase-4.2.1-alt-default-konsole-colors.patch
Patch5: kdebase-4.2.2-alt-nsplugins-paths.patch
# Dmitry Prokoptsev
Patch300: kdebase-backport-4.3-rev947077.patch
Patch1000: BR59256fixed.diff
# upstream


BuildRequires(pre): kde4libs-devel
BuildRequires: libalternatives-devel libraw1394-devel
BuildRequires: bzlib-devel gcc-c++ xorg-x11-devel libjpeg-devel libpcre-devel
BuildRequires: libqimageblitz-devel libsoprano-devel libstrigi-devel
BuildRequires: libungif-devel xml-utils libpci-devel glib2-devel
BuildRequires: kde4libs-devel >= %version
BuildRequires: kde4pimlibs-devel >= %version
BuildRequires: kde4base-workspace-devel >= %version

%description
Core runtime requirements and applications for the K Desktop Environment 4.
This package does not include the KDE 4 versions of applications which are
provided by KDE 3 because of file and configuration setting conflicts.

%package devel
Group: Development/KDE and QT
Summary: Header files for %name
Requires: kde4libs-devel kde4pimlibs-devel
Requires: %name-common = %version-%release
%description devel
Header files for developing applications using %name.

%package common
Group: Graphical desktop/KDE
Summary: Common files for %name package
Requires: kde-common >= %major.%minor
#
%description common
Common files for %name package

%package dolphin
Group: File tools
Summary: The file manager for KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%ifdef __kde4_alternate_placement
%else
Provides: d3lphin = 0.9.5-alt1
Obsoletes: d3lphin < 0.9.5-alt1
%endif
%description dolphin
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
     through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%package kappfinder
Group: Graphical desktop/KDE
Summary: Applications finding tool
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description kappfinder
Utility to find applications not included to menu

%package kdepasswd
Group: Graphical desktop/KDE
Summary: User account configuration
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
Requires: shadow-change userpasswd
%description kdepasswd
User account configuration

%package kdialog
Group: Graphical desktop/KDE
Summary: Utility to display GUI dialog boxes from shell scripts
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description kdialog
kdialog allows you to display dialog boxes from shell scripts.
The syntax is very much inspired from the "dialog" command
(which shows text mode dialogs).

%package keditbookmarks
Group: Graphical desktop/KDE
Summary: Utility to edit KDE bookmarks
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description keditbookmarks
Utility to edit KDE bookmarks

%package kfind
Group: File tools
Summary: KDE utility to find files
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description kfind
KDE utility to find files

%package kinfocenter
Group: Graphical desktop/KDE
Summary: System information center for KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description kinfocenter
System information center for KDE

%package konqueror
Group: Networking/WWW
Summary: The file manager and web browser for KDE
PreReq(post,preun): alternatives >= 0.2
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
Requires: indexhtml
#Requires: %req_design_graphics
Provides: webclient, /usr/bin/xbrowser
%description konqueror
The file manager and web browser easy for use.

%package konsole
Group: Terminals
Summary: Terminal emulator for KDE
PreReq(post,preun): alternatives >= 0.2
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
Provides: xvt, %_x11bindir/xvt
%description konsole
Konsole is the terminal emulator for KDE

%package kwrite
Group: Editors
Summary: Text editor for KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
%description kwrite
Text editor for KDE

%package nsplugins
Group: Graphical desktop/KDE
Summary: Netscape(R) browser plugins support for KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description nsplugins
Tools used to utilize Netscape(R) browser plugins in KDE

%package plasma-applets
Group: Graphical desktop/KDE
Summary: Plasma applets
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4base-plasma < %version-%release
Obsoletes: kde4base-plasma < %version-%release
%description plasma-applets
Various Plasma applets

%package -n libdolphinprivate4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libdolphinprivate4
KDE 4 library.

%package -n libkonq4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
Obsoletes: %name-libkonq < %version-%release
%description -n libkonq4
KDE 4 library.

%package -n libkonqsidebarplugin4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libkonqsidebarplugin4
KDE 4 library.

%package -n libkonquerorprivate4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libkonquerorprivate4
KDE 4 library.

%prep
%setup -q -n %rname-%version
rm -rf runtime workspace
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p1
%patch5 -p1
%patch300 -p1
pushd konsole/src
%patch1000 -p0
popd


%build
%K4build

%install
%K4install

# install alternatives
install -d %buildroot/%_sysconfdir/alternatives/packages.d
cat > %buildroot/%_sysconfdir/alternatives/packages.d/kde4-konsole <<__EOF__
%ifdef __kde4_alternate_placement
%_x11bindir/xvt %__kde4_bindir/konsole        14
%else
%_x11bindir/xvt %_K4bindir/konsole        60
%endif
__EOF__
cat > %buildroot/%_sysconfdir/alternatives/packages.d/kde4-konqueror <<__EOF__
%ifdef __kde4_alternate_placement
%_bindir/xbrowser       %__kde4_bindir/konqueror      40
%else
%_bindir/xbrowser       %_K4bindir/konqueror      150
%endif
__EOF__



%files
%files common

%files devel
%__kde4_libdir_link/lib*.so
%exclude %_K4libdir/libkdeinit4_*.so
%_K4includedir/*

%files plasma-applets
%_K4lib/plasma_applet_folderview.so
#%_K4iconsdir/oxygen/*/actions/view-file-columns.*
%_K4srv/plasma-applet-folderview.desktop

%files dolphin
%__kde4_bindir/dolphin
%_K4lib/dolphinpart.so*
%__kde4_xdg_apps/dolphin.desktop
%_K4apps/dolphin/
%_K4apps/dolphinpart/
%_K4srv/dolphinpart.desktop
%_K4cfg/dolphin_*.kcfg
%__kde4_iconsdir/hicolor/*/actions/preview.*
%__kde4_doc/en/dolphin/


%files konsole
%config /%_sysconfdir/alternatives/packages.d/kde4-konsole
%attr(2711,root,utempter) %__kde4_bindir/konsole
%__kde4_bindir/konsoleprofile
%_K4libdir/libkdeinit4_konsole.so
#%_K4lib/kded_kwrited.so*
%_K4lib/libkonsolepart.so*
%__kde4_xdg_apps/konsole.desktop
%_K4apps/konsole/
#%__kde4_iconsdir/hicolor/*/apps/konsole.*
#%_K4srv/kded/kwrited.desktop
%_K4srv/konsolepart.desktop
#%_K4srv/konsole-script.desktop
%_K4srv/ServiceMenus/konsolehere.desktop
%_K4srvtyp/terminalemulator.desktop
%__kde4_doc/en/konsole/

%files konqueror
%config /%_sysconfdir/alternatives/packages.d/kde4-konqueror
%__kde4_bindir/keditfiletype
%__kde4_bindir/kfmclient
%__kde4_bindir/konqueror
%_K4libdir/libkdeinit4_kfmclient.so
%_K4libdir/libkdeinit4_konqueror.so
#%_K4lib/kcm_css.so
%_K4lib/kcm_filetypes.so
%_K4lib/kcm_history.so
%_K4lib/kcm_kio.so
%_K4lib/kcm_konqhtml.so
%_K4lib/kcm_konq.so
%_K4lib/kcm_kurifilt.so
%_K4lib/kcm_performance.so
%_K4lib/kded_konqy_preloader.so
%_K4lib/khtmlkttsdplugin.so
%_K4lib/konq_aboutpage.so
%_K4lib/konq_remoteencoding.so
%_K4lib/konq_shellcmdplugin.so
%_K4lib/konq_sidebar.so
%_K4lib/konq_sidebartree_bookmarks.so
%_K4lib/konq_sidebartree_dirtree.so
%_K4lib/konq_sidebartree_history.so
%_K4lib/konqsidebar_tree.so
%_K4lib/konqsidebar_web.so
%_K4dbus_interfaces/org.kde.Konqueror.MainWindow.xml
%_K4dbus_interfaces/org.kde.Konqueror.Main.xml
%_K4dbus_interfaces/org.kde.konqueror.Preloader.xml
%__kde4_xdg_apps/Home.desktop
%__kde4_xdg_apps/kfmclient.desktop
%__kde4_xdg_apps/kfmclient_dir.desktop
%__kde4_xdg_apps/kfmclient_html.desktop
%__kde4_xdg_apps/kfmclient_war.desktop
%__kde4_xdg_apps/konqbrowser.desktop
%__kde4_xdg_apps/konquerorsu.desktop
%_K4conf_update/kfmclient_3_2.upd
%_K4conf_update/kfmclient_3_2_update.sh
%_K4conf_update/konqsidebartng.upd
%_K4conf_update/move_konqsidebartng_entries.sh
#%_K4conf_update/socks.upd
%_K4apps/kcmcss/
%_K4apps/kcontrol/pics/onlyone.png
%_K4apps/kcontrol/pics/overlapping.png
%_K4apps/khtml/kpartplugins/khtmlkttsd.desktop
%_K4apps/khtml/kpartplugins/khtmlkttsd.rc
#%_K4apps/konqiconview/
#%_K4apps/konqlistview/
%_K4apps/konqsidebartng/
%_K4apps/konqueror/*
%exclude %_K4apps/konqueror/pics/arrow_*.*
%_K4start/konqy_preload.desktop
%_K4cfg/konqueror.kcfg
%_K4conf/konqsidebartng.rc
%__kde4_iconsdir/hicolor/*/apps/konqueror.*
%_K4srv/cache.desktop
%_K4srv/cookies.desktop
%_K4srv/desktoppath.desktop
%_K4srv/ebrowsing.desktop
%_K4srv/file*.desktop
#%_K4srv/kcmcss.desktop
%_K4srv/kcmhistory.desktop
%_K4srv/kcmkonqyperformance.desktop
%_K4srv/kcmperformance.desktop
%_K4srv/kded/konqy_preloader.desktop
%_K4srv/khtml_*.desktop
%exclude %_K4srv/khtml_plugins.desktop
%_K4srv/konq*.desktop
%_K4srv/lanbrowser.desktop
%_K4srv/netpref.desktop
%_K4srv/proxy.desktop
%_K4srv/smb.desktop
%_K4srv/useragent.desktop
%_K4srv/useragentstrings/
%_K4srvtyp/konqaboutpage.desktop
%_K4srvtyp/uasprovider.desktop
%__kde4_doc/en/konqueror/
#
%_K4lib/kded_favicons.so*
%_K4lib/konq_sound.so*
%_K4dbus_interfaces/org.kde.FavIcon.xml
#%_K4dbus_interfaces/org.kde.libkonq.FileUndoManager.xml
%_K4apps/kbookmark/directory_bookmarkbar.desktop
%_K4conf_update/favicons.upd
%_K4conf_update/move_favicons.sh
%dir %_K4apps/konqueror/
%dir %_K4apps/konqueror/pics/
%_K4apps/konqueror/pics/arrow_*.*
%_K4srv/kded/favicons.desktop
%_K4srvtyp/konqpopupmenuplugin.desktop
%_K4tmpl/*.desktop
%_K4tmpl/.source/*

%if_with kappfinder
%files kappfinder
%__kde4_bindir/kappfinder
%__kde4_xdg_apps/kappfinder.desktop
%_K4apps/kappfinder/
%__kde4_iconsdir/hicolor/*/apps/kappfinder.*
#
%_K4iconsdir/oxygen/*/apps/abiword.*
%_K4iconsdir/oxygen/*/apps/aim.*
%_K4iconsdir/oxygen/*/apps/alevt.*
%_K4iconsdir/oxygen/*/apps/antivirus.*
%_K4iconsdir/oxygen/*/apps/applixware.*
%_K4iconsdir/oxygen/*/apps/assistant.*
%_K4iconsdir/oxygen/*/apps/blender.*
%_K4iconsdir/oxygen/*/apps/bluefish.*
%_K4iconsdir/oxygen/*/apps/browser.*
%_K4iconsdir/oxygen/*/apps/camera.*
%_K4iconsdir/oxygen/*/apps/clanbomber.*
%_K4iconsdir/oxygen/*/apps/clock.*
%_K4iconsdir/oxygen/*/apps/core.*
%_K4iconsdir/oxygen/*/apps/designer.*
%_K4iconsdir/oxygen/*/apps/dia.*
%_K4iconsdir/oxygen/*/apps/display.*
%_K4iconsdir/oxygen/*/apps/download_manager.*
%_K4iconsdir/oxygen/*/apps/eclipse.*
%_K4iconsdir/oxygen/*/apps/emacs.*
%_K4iconsdir/oxygen/*/apps/email.*
%_K4iconsdir/oxygen/*/apps/evolution.*
%_K4iconsdir/oxygen/*/apps/gabber.*
%_K4iconsdir/oxygen/*/apps/gaim.*
%_K4iconsdir/oxygen/*/apps/galeon.*
%_K4iconsdir/oxygen/*/apps/gimp.*
%_K4iconsdir/oxygen/*/apps/gnomemeeting.*
%_K4iconsdir/oxygen/*/apps/gnucash.*
%_K4iconsdir/oxygen/*/apps/gnumeric.*
%_K4iconsdir/oxygen/*/apps/gv.*
%_K4iconsdir/oxygen/*/apps/gvim.*
%_K4iconsdir/oxygen/*/apps/licq.*
%_K4iconsdir/oxygen/*/apps/linguist.*
%_K4iconsdir/oxygen/*/apps/lyx.*
%_K4iconsdir/oxygen/*/apps/netscape.*
%_K4iconsdir/oxygen/*/apps/opera.*
%_K4iconsdir/oxygen/*/apps/pan.*
%_K4iconsdir/oxygen/*/apps/penguin.*
%_K4iconsdir/oxygen/*/apps/personal.*
%_K4iconsdir/oxygen/*/apps/pinguin.*
%_K4iconsdir/oxygen/*/apps/plan.*
%_K4iconsdir/oxygen/*/apps/planner.*
%_K4iconsdir/oxygen/*/apps/pybliographic.*
%_K4iconsdir/oxygen/*/apps/realplayer.*
%_K4iconsdir/oxygen/*/apps/shell.*
%_K4iconsdir/oxygen/*/apps/sodipodi.*
%_K4iconsdir/oxygen/*/apps/staroffice.*
%_K4iconsdir/oxygen/*/apps/terminal.*
%_K4iconsdir/oxygen/*/apps/tux.*
%_K4iconsdir/oxygen/*/apps/wp.*
%_K4iconsdir/oxygen/*/apps/xawtv.*
%_K4iconsdir/oxygen/*/apps/xcalc.*
%_K4iconsdir/oxygen/*/apps/xchat.*
%_K4iconsdir/oxygen/*/apps/xclipboard.*
%_K4iconsdir/oxygen/*/apps/xclock.*
%_K4iconsdir/oxygen/*/apps/xedit.*
%_K4iconsdir/oxygen/*/apps/xemacs.*
%_K4iconsdir/oxygen/*/apps/xeyes.*
%_K4iconsdir/oxygen/*/apps/xfig.*
%_K4iconsdir/oxygen/*/apps/xfmail.*
%_K4iconsdir/oxygen/*/apps/xload.*
%_K4iconsdir/oxygen/*/apps/xmag.*
%_K4iconsdir/oxygen/*/apps/xmms.*
%_K4iconsdir/oxygen/*/apps/xosview.*
%_K4iconsdir/oxygen/*/apps/xpaint.*
%_K4iconsdir/oxygen/*/apps/xv.*
#%__kde4_doc/en/kappfinder/
%endif

%files kdepasswd
%_K4lib/kcm_useraccount.so*
#%__kde4_bindir/kdepasswd
#%__kde4_xdg_apps/kdepasswd.desktop
#%_K4apps/kdm/pics/users/*.png
%_K4cfg/kcm_useraccount.kcfg
%_K4srv/kcm_useraccount.desktop
%_K4cfg/kcm_useraccount_pass.kcfg

%files kdialog
%__kde4_bindir/kdialog
%_K4dbus_interfaces/org.kde.kdialog.ProgressDialog.xml

%files keditbookmarks
%__kde4_bindir/kbookmarkmerger
%__kde4_bindir/keditbookmarks
%_K4libdir/libkdeinit4_keditbookmarks.so
%_K4apps/keditbookmarks/
%_K4cfg/keditbookmarks.kcfg
%_K4srv/bookmarks.desktop

%files kfind
%__kde4_bindir/kfind
%_K4lib/libkfindpart.so
%__kde4_xdg_apps/kfind.desktop
%__kde4_iconsdir/hicolor/*/apps/kfind.*
%_K4srv/kfindpart.desktop
%_K4srvtyp/findpart.desktop
%__kde4_doc/en/kfind/

%files kinfocenter
%__kde4_bindir/kinfocenter
%_K4libdir/libkdeinit4_kinfocenter.so
%_K4lib/kcm_dolphin.so
%_K4lib/kcm_info.so
%_K4lib/kcm_ioslaveinfo.so
%_K4lib/kcm_memory.so
%_K4lib/kcm_nic.so
%_K4lib/kcm_opengl.so
%_K4lib/kcm_partition.so
%_K4lib/kcm_pci.so
%_K4lib/kcm_samba.so
%_K4lib/kcm_solidproc.so
%_K4lib/kcm_usb.so
%_K4lib/kcm_view1394.so
%_K4apps/kinfocenter/
%_K4apps/kcmusb/
%_K4apps/kcmview1394/
%__kde4_xdg_apps/kinfocenter.desktop
%_K4srv/ioslaveinfo.desktop
%_K4srv/interrupts.desktop
%_K4srv/devices.desktop
%_K4srv/dma.desktop
%_K4srv/ioports.desktop
%_K4srv/kcm_memory.desktop
%_K4srv/kcm_partition.desktop
%_K4srv/kcm_pci.desktop
%_K4srv/kcmdolphin.desktop
%_K4srv/kcmsolidproc.desktop
%_K4srv/kcmusb.desktop
%_K4srv/kcmview1394.desktop
%_K4srv/nic.desktop
%_K4srv/opengl.desktop
%_K4srv/scsi.desktop
%_K4srv/smbstatus.desktop
%_K4srv/sound.desktop
%_K4srv/xserver.desktop

%__kde4_doc/en/kinfocenter/

%files kwrite
%__kde4_bindir/kwrite
%_K4libdir/libkdeinit4_kwrite.so
%__kde4_xdg_apps/kwrite.desktop
%_K4apps/kwrite/
%__kde4_doc/en/kwrite/

%files nsplugins
%__kde4_bindir/nspluginscan
%__kde4_bindir/nspluginviewer
%_K4lib/libkcminit_nsplugins.so
%_K4lib/libnsplugin.so
%_K4dbus_interfaces/org.kde.nsplugins.CallBack.xml
%_K4dbus_interfaces/org.kde.nsplugins.class.xml
%_K4dbus_interfaces/org.kde.nsplugins.instance.xml
%_K4dbus_interfaces/org.kde.nsplugins.viewer.xml
%_K4apps/plugin/nspluginpart.rc
%_K4srv/khtml_plugins.desktop

%files -n libdolphinprivate4
%_K4libdir/libdolphinprivate.so.*

%files -n libkonq4
%_K4libdir/libkonq.so.*

%files -n libkonqsidebarplugin4
%_K4libdir/libkonqsidebarplugin.so.*

%files -n libkonquerorprivate4
%_K4libdir/libkonquerorprivate.so.*

###
%exclude %_K4apps/kdm/pics/users/*


%changelog
* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Mon May 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Fri Apr 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- fix netscape plugins defaut search paths
- add some upstram fixes

* Fri Apr 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt3
- fix konsole double-clicking selection

* Tue Mar 24 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt2
- use konsole color scheme Linux by default
- don't harcode Shift+Arrow keys (https://bugs.kde.org/show_bug.cgi?id=59256)

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Thu Jan 15 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- remove deprecated macroses from specfile

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Mon Oct 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Thu Jul 31 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Wed May 28 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Mon Apr 14 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt2
- use userpasswd instead of kdepasswd

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt3
- clean requires

* Fri Mar 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- fix build requires

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Mon Feb 18 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT

